oracle.sql

## Class TIMESTAMPLTZ

- java.lang.Object
- - oracle.sql.Datum
  - - oracle.sql.TIMESTAMPLTZ

All Implemented Interfaces:
  Serializable

    public class TIMESTAMPLTZ
    extends Datum

TIMESTAMPLTZ Class

The `TIMESTAMPLTZ` class provides conversions between the Oracle Date (ldx_t) data type and Java classes `java.sql.Date`, `java.sql.Time`, `java.sql.Timestamp`

The internal data for this object is stored as a eleven byte array in the super class' storage area. The bytes are arranged as follows:

          Byte       Represents
           0         Century (119 for 1990)
           1         Decade  (190 for 1990)
           2         Month
           3         Day
           4         Hour
           5         Minute
           6         Seconds
           7         Nanoseconds (Most Significant bit)
           8         Nanoseconds
           9         Nanoseconds
           10        Nanoseconds (Least Significant Bit)

-We add 100 to the century and decade fields so that negative values will be positive and positive values will be higher than negative values -We add 1 to the month,hour,minute,second fields for the java objects since they start of from 0.

Static methods are used for conversions.

Since:
  release specific (what release of product did this appear in)
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class oracle.sql.Datum

`ojiOracleDatumWithConnection, targetDatum`

### Constructor Summary

Constructors
Constructor and Description
`TIMESTAMPLTZ()` Constructs a TIMESTAMPLTZ object initialized to 1/1/1970.
`TIMESTAMPLTZ(byte[] timestampltz)` Create an Oracle TIMESTAMPLTZ object represented by the given Oracle Timestampltz
`TIMESTAMPLTZ(Connection conn, Calendar sess, Date date)` Create an Oracle TIMESTAMPLTZ object represented by the Java Date
`TIMESTAMPLTZ(Connection conn, Calendar sess, DATE date)` Create an Oracle TIMESTAMPLTZ object represented by the Oracle DATE
`TIMESTAMPLTZ(Connection conn, Calendar sess, String str)` Deprecated.
`TIMESTAMPLTZ(Connection conn, Calendar sess, Time time)` Create an Oracle TIMESTAMPLTZ object represented by the given Java Time
`TIMESTAMPLTZ(Connection conn, Calendar sess, Timestamp timestamp)` Create an Oracle TIMESTAMPLTZ object represented by the Java Timestamp
`TIMESTAMPLTZ(Connection conn, Date date)` Create an Oracle TIMESTAMPLTZ object represented by the Java Date
`TIMESTAMPLTZ(Connection conn, DATE date)` Create an Oracle TIMESTAMPLTZ object represented by the Oracle DATE
`TIMESTAMPLTZ(Connection conn, Date date, Calendar dbtz)` Deprecated.
`TIMESTAMPLTZ(Connection conn, DATE date, Calendar dbtz)` Deprecated.
`TIMESTAMPLTZ(Connection conn, java.time.LocalDateTime ldt)` Create an Oracle TIMESTAMPLTZ object represented by the LocalDateTime
`TIMESTAMPLTZ(Connection conn, java.time.OffsetDateTime odt)` Create an Oracle TIMESTAMPLTZ object represented by the OffsetDateTime
`TIMESTAMPLTZ(Connection conn, java.time.OffsetTime ot)` Create an Oracle TIMESTAMPLTZ object represented by the OffsetTime
`TIMESTAMPLTZ(Connection conn, String str)` Deprecated.
`TIMESTAMPLTZ(Connection conn, String str, Calendar dbtz)` Deprecated.
`TIMESTAMPLTZ(Connection conn, Time time)` Create an Oracle TIMESTAMPLTZ object represented by the given Java Time
`TIMESTAMPLTZ(Connection conn, Time time, Calendar dbtz)` Deprecated.
`TIMESTAMPLTZ(Connection conn, Timestamp timestamp)` Create an Oracle TIMESTAMPLTZ object represented by the Java Timestamp
`TIMESTAMPLTZ(Connection conn, Timestamp timestamp, Calendar dbtz)` Deprecated.
`TIMESTAMPLTZ(Connection conn, java.time.ZonedDateTime zdt)` Create an Oracle TIMESTAMPLTZ object represented by the ZonedDateTime

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`Date` `dateValue(Connection conn)` Calls toDate(Connection, byte[]) to convert internal Oracle TIMESTAMPLTZ to a Java Date.
`Date` `dateValue(Connection conn, Calendar cal)` Calls toDate(Connection, byte[], Calendar) to convert internal Oracle TIMESTAMPLTZ to a Java Date.
`boolean` `isConvertibleTo(Class<?> cls)` Determines if the object can be converted to a particular class
`java.time.LocalDateTime` `localDateTimeValue(Connection conn)` Calls toLocalDateTime(Connection, byte[]) to convert internal Oracle TIMESTAMPLTZ to a Java LocalDateTime.
`Object` `makeJdbcArray(int arraySize)` Returns a JDBC array representation of the datum
`static TIMESTAMPLTZ` `of(Connection conn, java.time.LocalDateTime ldt)` Creates TIMESTAMPLTZ from the LocalDateTime.
`static TIMESTAMPLTZ` `of(Connection conn, java.time.OffsetDateTime odt)` Creates TIMESTAMPLTZ from the OffsetDateTime.
`static TIMESTAMPLTZ` `of(Connection conn, java.time.OffsetTime ot)` Creates TIMESTAMPLTZ from the OffsetTime.
`static TIMESTAMPLTZ` `of(Connection conn, java.time.ZonedDateTime zdt)` Creates TIMESTAMPLTZ from the ZonedDateTime.
`java.time.OffsetDateTime` `offsetDateTimeValue(Connection conn)` Calls toOffsetDateTime(Connection, byte[]) to convert internal Oracle TIMESTAMPLTZ to a Java OffsetDateTime.
`java.time.OffsetTime` `offsetTimeValue(Connection conn)` Calls toOffsetTime(Connection, byte[]) to convert internal Oracle TIMESTAMPLTZ to a Java OffsetTime.
`String` `stringValue(Connection conn)` Calls toString(Connection, byte[]) to convert internal Oracle TIMESTAMPLTZ to a Java String.
`String` `stringValue(Connection conn, Calendar cal)` Calls toString(Connection, byte[], Calendar) to convert internal Oracle TIMESTAMPLTZ to a Java String.
`Timestamp` `timestampValue(Connection conn)`
`Timestamp` `timestampValue(Connection conn, Calendar dbtz)` Calls toTimestamp to convert internal Oracle TIMESTAMPLTZ to a Java Timestamp.
`Time` `timeValue(Connection conn)` Calls toTime to convert internal Oracle TIMESTAMPLTZ to a Java Time.
`Time` `timeValue(Connection conn, Calendar cal)` Calls toTime to convert internal Oracle TIMESTAMPLTZ to a Java Time.
`static void` `TimeZoneAdjust(Connection conn, Calendar cal1, Calendar cal2)`
`static long` `TimeZoneAdjustUTC(Connection conn, Calendar cal1)`
`byte[]` `toBytes()` Convert Oracle TIMESTAMPLTZ object into a byte array
`static byte[]` `toBytes(Connection conn, Calendar cal, Date date)` Convert Java Date to Oracle TIMESTAMPLTZ.
`static byte[]` `toBytes(Connection conn, Calendar cal, DATE date)` Convert Oracle DATE to Oracle TIMESTAMPLTZ
`static byte[]` `toBytes(Connection conn, Calendar sess, String str)` Convert Java String to Oracle TIMESTAMPLTZ.
`static byte[]` `toBytes(Connection conn, Calendar cal, Time time)` Convert Java Time to Oracle TIMESTAMPLTZ.
`static byte[]` `toBytes(Connection conn, Calendar cal, Timestamp timestamp)` Convert Java Timestamp to Oracle TIMESTAMPLTZ
`static byte[]` `toBytes(Connection conn, Date date, Calendar dbtz)` Deprecated.
`static byte[]` `toBytes(Connection conn, DATE date, Calendar dbtz)` Deprecated.
`static byte[]` `toBytes(Connection conn, java.time.LocalDateTime ldt)` Convert Java LocalDateTime to Oracle TIMESTAMPLTZ.
`static byte[]` `toBytes(Connection conn, java.time.OffsetDateTime odt)` Convert Java OffsetDateTime to Oracle TIMESTAMPLTZ.
`static byte[]` `toBytes(Connection conn, java.time.OffsetTime ot)` Convert Java OffsetTime to Oracle TIMESTAMPLTZ.
`static byte[]` `toBytes(Connection conn, String str, Calendar dbtz)` Convert Java String to Oracle TIMESTAMPLTZ.
`static byte[]` `toBytes(Connection conn, Time time, Calendar dbtz)` Deprecated.
`static byte[]` `toBytes(Connection conn, Timestamp timestamp, Calendar dbtz)` Deprecated.
`static byte[]` `toBytes(Connection conn, java.time.ZonedDateTime zdt)` Convert Java ZonedDateTime to Oracle TIMESTAMPLTZ.
`static Date` `toDate(Connection conn, byte[] timestampltz)` Convert a byte array representing a TIMESTAMPLTZ object to a Java Date Object
`static DATE` `toDATE(Connection conn, byte[] timestampltz)` Convert a byte array representing a TIMESTAMPLTZ object to a Oracle DATE Object
`static Date` `toDate(Connection conn, byte[] timestampltz, Calendar dbtz)` Deprecated.
`static DATE` `toDATE(Connection conn, byte[] timestampltz, Calendar dbtz)` Deprecated.
`Object` `toJdbc()` Returns the JDBC representation of the datum object
`java.time.LocalDateTime` `toLocalDateTime(Connection conn)` Convert a byte array representing a TIMESTAMPLTZ object to a Java LocalDateTime Object
`static java.time.LocalDateTime` `toLocalDateTime(Connection conn, byte[] timestampltz)` Convert a byte array representing a TIMESTAMPLTZ object to a Java LocalDateTime Object
`static java.time.OffsetDateTime` `toOffsetDateTime(Connection conn, byte[] timestampltz)` Convert a byte array representing a TIMESTAMPLTZ object to a Java OffsetDateTime Object
`static java.time.OffsetTime` `toOffsetTime(Connection conn, byte[] timestampltz)` Convert a byte array representing a TIMESTAMPLTZ object to a Java OffsetTime Object
`static String` `toString(Connection conn, byte[] timestampltz)` Converts a TIMESTAMPLTZ to a string
`static String` `toString(Connection conn, byte[] timestampltz, Calendar dbtz)` Deprecated.
`static Time` `toTime(Connection conn, byte[] timestampltz)` Convert a byte array representing a TIMESTAMPLTZ object to a Java Time Object
`static Time` `toTime(Connection conn, byte[] timestampltz, Calendar dbtz)` Deprecated.
`static Timestamp` `toTimestamp(Connection conn, byte[] timestampltz)` Convert a byte array representing a TIMESTAMPLTZ object to a Java Timestamp Object
`static TIMESTAMP` `toTIMESTAMP(Connection conn, byte[] timestampltz)` Convert a byte array representing a TIMESTAMPLTZ object to a Oracle TIMESTAMP Object
`static Timestamp` `toTimestamp(Connection conn, byte[] timestampltz, Calendar dbtz)` Deprecated.
`static TIMESTAMPTZ` `toTIMESTAMPTZ(Connection conn, byte[] timestampltz)` Convert a byte array representing a TIMESTAMPLTZ object to a Oracle TIMESTAMPTZ Object
`static java.time.ZonedDateTime` `toZonedDateTime(Connection conn, byte[] timestampltz)` Convert a byte array representing a TIMESTAMPLTZ object to a Java ZonedDateTime Object
`java.time.ZonedDateTime` `zonedDateTimeValue(Connection conn)` Calls toZonedDateTime(Connection, byte[]) to convert internal Oracle TIMESTAMPLTZ to a Java ZonedDateTime.

### Methods inherited from class oracle.sql.Datum

`asciiStreamValue, bigDecimalValue, binaryStreamValue, booleanValue, bytesEqual, bytesHashCode, byteValue, characterStreamValue, compareBytes, dateValue, doubleValue, equals, floatValue, getBytes, getConnectionDuringExceptionHandling, getLength, getStream, intValue, isNull, longValue, setBytes, setShareBytes, shareBytes, stringValue, timestampValue, timestampValue, timeValue, timeValue, toClass`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TIMESTAMPLTZ

    public TIMESTAMPLTZ()

Constructs a TIMESTAMPLTZ object initialized to 1/1/1970.

#### TIMESTAMPLTZ

    public TIMESTAMPLTZ(byte[] timestampltz)

Create an Oracle TIMESTAMPLTZ object represented by the given Oracle Timestampltz

Parameters:
  `Connection` - conn

#### TIMESTAMPLTZ

    public TIMESTAMPLTZ(Connection conn,
                        Time time,
                        Calendar dbtz)
                 throws SQLException

Deprecated.
Create an Oracle TIMESTAMPLTZ object represented by the given Java Time

Parameters:
  `conn` - JDBC connection time Java Time object dbtz Calendar object containing Database Timezone
Throws:
  `SQLException`

#### TIMESTAMPLTZ

    public TIMESTAMPLTZ(Connection conn,
                        Date date,
                        Calendar dbtz)
                 throws SQLException

Deprecated.
Create an Oracle TIMESTAMPLTZ object represented by the Java Date

Parameters:
  `conn` - JDBC connection date Java Date object dbtz Calendar object containing Database Timezone
Throws:
  `SQLException`

#### TIMESTAMPLTZ

    public TIMESTAMPLTZ(Connection conn,
                        Timestamp timestamp,
                        Calendar dbtz)
                 throws SQLException

Deprecated.
Create an Oracle TIMESTAMPLTZ object represented by the Java Timestamp

Parameters:
  `conn` - Connection timestamp Java Timestamp object dbtz Calendar object containing Database Timezone
Throws:
  `SQLException`

#### TIMESTAMPLTZ

    public TIMESTAMPLTZ(Connection conn,
                        DATE date,
                        Calendar dbtz)
                 throws SQLException

Deprecated.
Create an Oracle TIMESTAMPLTZ object represented by the Oracle DATE

Parameters:
  `conn` - JDBC connection date Oracle DATE object dbtz Calendar object containing Database Timezone
Throws:
  `SQLException`

#### TIMESTAMPLTZ

    public TIMESTAMPLTZ(Connection conn,
                        String str,
                        Calendar dbtz)
                 throws SQLException

Deprecated.
Create a TIMESTAMPLTZ object given a Java String object.

Parameters:
  `conn` - JDBC connection str Java String object dbtz Calendar object containing Database Timezone
Throws:
  `SQLException`

#### TIMESTAMPLTZ

    public TIMESTAMPLTZ(Connection conn,
                        Calendar sess,
                        Time time)
                 throws SQLException

Create an Oracle TIMESTAMPLTZ object represented by the given Java Time

Parameters:
  `conn` - JDBC connection sess Calendar object containing Session Timezone time Java Time object
Throws:
  `SQLException`

#### TIMESTAMPLTZ

    public TIMESTAMPLTZ(Connection conn,
                        Calendar sess,
                        Date date)
                 throws SQLException

Create an Oracle TIMESTAMPLTZ object represented by the Java Date

Parameters:
  `conn` - JDBC connection sess Calendar object containing Session Timezone date Java Date object
Throws:
  `SQLException`

#### TIMESTAMPLTZ

    public TIMESTAMPLTZ(Connection conn,
                        Calendar sess,
                        Timestamp timestamp)
                 throws SQLException

Create an Oracle TIMESTAMPLTZ object represented by the Java Timestamp

Parameters:
  `conn` - Connection sess Calendar object containing Session Timezone timestamp Java Timestamp object
Throws:
  `SQLException`

#### TIMESTAMPLTZ

    public TIMESTAMPLTZ(Connection conn,
                        Calendar sess,
                        DATE date)
                 throws SQLException

Create an Oracle TIMESTAMPLTZ object represented by the Oracle DATE

Parameters:
  `conn` - JDBC connection sess Calendar object containing Session Timezone date Oracle DATE object
Throws:
  `SQLException`

#### TIMESTAMPLTZ

    public TIMESTAMPLTZ(Connection conn,
                        Calendar sess,
                        String str)
                 throws SQLException

Deprecated.
Create a TIMESTAMPLTZ object given a Java String object.

Parameters:
  `conn` - JDBC connection sess Calendar object containing Session Timezone str Java String object
Throws:
  `SQLException`

#### TIMESTAMPLTZ

    public TIMESTAMPLTZ(Connection conn,
                        Time time)
                 throws SQLException

Create an Oracle TIMESTAMPLTZ object represented by the given Java Time

Parameters:
  `conn` - JDBC connection time Java Time object
Throws:
  `SQLException`

#### TIMESTAMPLTZ

    public TIMESTAMPLTZ(Connection conn,
                        Date date)
                 throws SQLException

Create an Oracle TIMESTAMPLTZ object represented by the Java Date

Parameters:
  `conn` - JDBC connection date Java Date object
Throws:
  `SQLException`

#### TIMESTAMPLTZ

    public TIMESTAMPLTZ(Connection conn,
                        Timestamp timestamp)
                 throws SQLException

Create an Oracle TIMESTAMPLTZ object represented by the Java Timestamp

Parameters:
  `conn` - Connection timestamp Java Timestamp object
Throws:
  `SQLException`

#### TIMESTAMPLTZ

    public TIMESTAMPLTZ(Connection conn,
                        DATE date)
                 throws SQLException

Create an Oracle TIMESTAMPLTZ object represented by the Oracle DATE

Parameters:
  `conn` - JDBC connection date Oracle DATE object
Throws:
  `SQLException`

#### TIMESTAMPLTZ

    public TIMESTAMPLTZ(Connection conn,
                        String str)
                 throws SQLException

Deprecated.
Create a TIMESTAMPLTZ object given a Java String object.

Parameters:
  `conn` - JDBC connection str Java String object
Throws:
  `SQLException`

#### TIMESTAMPLTZ

    public TIMESTAMPLTZ(Connection conn,
                        java.time.OffsetDateTime odt)
                 throws SQLException

Create an Oracle TIMESTAMPLTZ object represented by the OffsetDateTime

Parameters:
  `conn` - JDBC connection odt OffsetDateTime object
Throws:
  `SQLException`

#### TIMESTAMPLTZ

    public TIMESTAMPLTZ(Connection conn,
                        java.time.OffsetTime ot)
                 throws SQLException

Create an Oracle TIMESTAMPLTZ object represented by the OffsetTime

Parameters:
  `conn` - JDBC connection ot OffsetTime object
Throws:
  `SQLException`

#### TIMESTAMPLTZ

    public TIMESTAMPLTZ(Connection conn,
                        java.time.ZonedDateTime zdt)
                 throws SQLException

Create an Oracle TIMESTAMPLTZ object represented by the ZonedDateTime

Parameters:
  `conn` - JDBC connection zdt ZonedDateTime object
Throws:
  `SQLException`

#### TIMESTAMPLTZ

    public TIMESTAMPLTZ(Connection conn,
                        java.time.LocalDateTime ldt)
                 throws SQLException

Create an Oracle TIMESTAMPLTZ object represented by the LocalDateTime

Parameters:
  `conn` - JDBC connection ldt LocalDateTime object
Throws:
  `SQLException`

### Method Detail

#### toDate

    public static Date toDate(Connection conn,
                              byte[] timestampltz,
                              Calendar dbtz)
                       throws SQLException

Deprecated.
Convert a byte array representing a TIMESTAMPLTZ object to a Java Date Object

Parameters:
  `conn` - JDBC connection timestampltz Oracle TIMESTAMPLTZ object dbtz Database timezone
Returns:
  the Java date object represented by Oracle TIMESTAMPLTZ object
Throws:
  `SQLException`

#### toTime

    public static Time toTime(Connection conn,
                              byte[] timestampltz,
                              Calendar dbtz)
                       throws SQLException

Deprecated.
Convert a byte array representing a TIMESTAMPLTZ object to a Java Time Object

Parameters:
  `conn` - JDBC connection timestampltz Oracle TIMESTAMPLTZ object dbtz Database timezone
Returns:
  the java.sql.Time object represented by Oracle TIMESTAMPLTZ object. Only the hour, minute and seconds are contained in the java.sql.Time object that is returned and hence callers should not attempt to access the date component of the returned object.
Throws:
  `SQLException`

#### toTimestamp

    public static Timestamp toTimestamp(Connection conn,
                                        byte[] timestampltz,
                                        Calendar dbtz)
                                 throws SQLException

Deprecated.
Convert a byte array representing a TIMESTAMPLTZ object to a Java Timestamp Object

Parameters:
  `conn` - JDBC connection timestampltz Oracle TIMESTAMPLTZ object dbtz Database timezone
Returns:
  the Java timestamp object represented by Oracle TIMESTAMPLTZ object
Throws:
  `SQLException`

#### toDATE

    public static DATE toDATE(Connection conn,
                              byte[] timestampltz,
                              Calendar dbtz)
                       throws SQLException

Deprecated.
Convert a byte array representing a TIMESTAMPLTZ object to a Oracle DATE Object

Parameters:
  `conn` - JDBC connection timestampltz Oracle TIMESTAMPLTZ object dbtz Database timezone
Returns:
  the oracle DATE object represented by Oracle TIMESTAMPLTZ object
Throws:
  `SQLException`

#### timestampValue

    public Timestamp timestampValue(Connection conn,
                                    Calendar dbtz)
                             throws SQLException

Calls toTimestamp to convert internal Oracle TIMESTAMPLTZ to a Java Timestamp.

Returns:
  a Java Timestamp value
Throws:
  `SQLException`

#### timestampValue

    public Timestamp timestampValue(Connection conn)
                             throws SQLException

Throws:
  `SQLException`

#### toString

    public static String toString(Connection conn,
                                  byte[] timestampltz,
                                  Calendar dbtz)
                           throws SQLException

Deprecated.
Converts a TIMESTAMPLTZ to a String

Parameters:
  `date` - a byte array
Returns:
  String representing the date
Throws:
  `SQLException`

#### toBytes

    public byte[] toBytes()

Convert Oracle TIMESTAMPLTZ object into a byte array

Returns:
  the byte array stored in the TIMESTAMPLTZ object

#### toBytes

    public static byte[] toBytes(Connection conn,
                                 Time time,
                                 Calendar dbtz)
                          throws SQLException

Deprecated.
Convert Java Time to Oracle TIMESTAMPLTZ.

Parameters:
  `conn` - JDBC connection time java.sql.Time object to be converted. dbtz Database timezone
Returns:
  the byte array representing the java Time.
Throws:
  `SQLException`

#### toBytes

    public static byte[] toBytes(Connection conn,
                                 Date date,
                                 Calendar dbtz)
                          throws SQLException

Deprecated.
Convert Java Date to Oracle TIMESTAMPLTZ.

Parameters:
  `conn` - JDBC connection date java.sql.Date object to be converted. dbtz Database timezone
Returns:
  the byte array representing the java Date.
Throws:
  `SQLException`

#### toBytes

    public static byte[] toBytes(Connection conn,
                                 Timestamp timestamp,
                                 Calendar dbtz)
                          throws SQLException

Deprecated.
Convert Java Timestamp to Oracle TIMESTAMPLTZ

Parameters:
  `conn` - JDBC connection Timestamp java.sql.Timestamp object to be converted. dbtz database timezone
Returns:
  the byte array representing the input date.
Throws:
  `SQLException`

#### toBytes

    public static byte[] toBytes(Connection conn,
                                 DATE date,
                                 Calendar dbtz)
                          throws SQLException

Deprecated.
Convert Oracle DATE to Oracle TIMESTAMPLTZ

Parameters:
  `conn` - JDBC connection date oracle.sql.DATE object to be converted. dbtz database timezone
Returns:
  the byte array representing the Oracle DATE.
Throws:
  `SQLException`

#### toBytes

    public static byte[] toBytes(Connection conn,
                                 String str,
                                 Calendar dbtz)
                          throws SQLException

Convert Java String to Oracle TIMESTAMPLTZ.

Parameters:
  `conn` - JDBC Connection str java.lang.String object to be converted. dbtz database timezone
Returns:
  the byte array representing the input string.
Throws:
  `SQLException`

#### toDate

    public static Date toDate(Connection conn,
                              byte[] timestampltz)
                       throws SQLException

Convert a byte array representing a TIMESTAMPLTZ object to a Java Date Object

Parameters:
  `conn` - JDBC connection timestampltz Oracle TIMESTAMPLTZ object
Returns:
  the Java date object represented by Oracle TIMESTAMPLTZ object
Throws:
  `SQLException`

#### toLocalDateTime

    public java.time.LocalDateTime toLocalDateTime(Connection conn)
                                            throws SQLException

Convert a byte array representing a TIMESTAMPLTZ object to a Java LocalDateTime Object

Parameters:
  `conn` - JDBC connection
Returns:
  the Java LocalDateTime object represented by the Oracle TIMESTAMPLTZ object
Throws:
  `SQLException`

#### toLocalDateTime

    public static java.time.LocalDateTime toLocalDateTime(Connection conn,
                                                          byte[] timestampltz)
                                                   throws SQLException

Convert a byte array representing a TIMESTAMPLTZ object to a Java LocalDateTime Object

Parameters:
  `conn` - JDBC connection timestampltz Oracle TIMESTAMPLTZ object
Returns:
  the Java LocalDateTime object represented by the Oracle TIMESTAMPLTZ object
Throws:
  `SQLException`

#### of

    public static TIMESTAMPLTZ of(Connection conn,
                                  java.time.OffsetDateTime odt)
                           throws SQLException

Creates TIMESTAMPLTZ from the OffsetDateTime.

Parameters:
  `odt` - OffsetDateTime object
Returns:
  TIMESTAMPLTZ object
Throws:
  `SQLException`

#### of

    public static TIMESTAMPLTZ of(Connection conn,
                                  java.time.OffsetTime ot)
                           throws SQLException

Creates TIMESTAMPLTZ from the OffsetTime.

Parameters:
  `ot` - OffsetTime object
Returns:
  TIMESTAMPLTZ object
Throws:
  `SQLException`

#### of

    public static TIMESTAMPLTZ of(Connection conn,
                                  java.time.ZonedDateTime zdt)
                           throws SQLException

Creates TIMESTAMPLTZ from the ZonedDateTime.

Parameters:
  `zdt` - ZonedDateTime object
Returns:
  TIMESTAMPLTZ object
Throws:
  `SQLException`

#### of

    public static TIMESTAMPLTZ of(Connection conn,
                                  java.time.LocalDateTime ldt)
                           throws SQLException

Creates TIMESTAMPLTZ from the LocalDateTime.

Parameters:
  `ldt` - LocalDateTime object
Returns:
  TIMESTAMPLTZ object
Throws:
  `SQLException`

#### toOffsetDateTime

    public static java.time.OffsetDateTime toOffsetDateTime(Connection conn,
                                                            byte[] timestampltz)
                                                     throws SQLException

Convert a byte array representing a TIMESTAMPLTZ object to a Java OffsetDateTime Object

Parameters:
  `conn` - JDBC connection timestampltz Oracle TIMESTAMPLTZ object
Returns:
  the Java OffsetDateTime object represented by the Oracle TIMESTAMPLTZ object
Throws:
  `SQLException`

#### toOffsetTime

    public static java.time.OffsetTime toOffsetTime(Connection conn,
                                                    byte[] timestampltz)
                                             throws SQLException

Convert a byte array representing a TIMESTAMPLTZ object to a Java OffsetTime Object

Parameters:
  `conn` - JDBC connection timestampltz Oracle TIMESTAMPLTZ object
Returns:
  the Java OffsetTime object represented by the Oracle TIMESTAMPLTZ object
Throws:
  `SQLException`

#### toZonedDateTime

    public static java.time.ZonedDateTime toZonedDateTime(Connection conn,
                                                          byte[] timestampltz)
                                                   throws SQLException

Convert a byte array representing a TIMESTAMPLTZ object to a Java ZonedDateTime Object

Parameters:
  `conn` - JDBC connection timestampltz Oracle TIMESTAMPLTZ object
Returns:
  the Java ZonedDateTime object represented by the Oracle TIMESTAMPLTZ object
Throws:
  `SQLException`

#### toTime

    public static Time toTime(Connection conn,
                              byte[] timestampltz)
                       throws SQLException

Convert a byte array representing a TIMESTAMPLTZ object to a Java Time Object

Parameters:
  `conn` - JDBC connection timestampltz Oracle TIMESTAMPLTZ object
Returns:
  the Java time object represented by Oracle TIMESTAMPLTZ object
Throws:
  `SQLException`

#### toTimestamp

    public static Timestamp toTimestamp(Connection conn,
                                        byte[] timestampltz)
                                 throws SQLException

Convert a byte array representing a TIMESTAMPLTZ object to a Java Timestamp Object

Parameters:
  `conn` - JDBC connection timestamp Oracle TIMESTAMP object
Returns:
  the Java timestamp object represented by Oracle TIMESTAMP object
Throws:
  `SQLException`

#### toDATE

    public static DATE toDATE(Connection conn,
                              byte[] timestampltz)
                       throws SQLException

Convert a byte array representing a TIMESTAMPLTZ object to a Oracle DATE Object

Parameters:
  `conn` - JDBC connection timestampltz Oracle TIMESTAMPLTZ object
Returns:
  the Oracle DATE object represented by Oracle TIMESTAMPLTZ object
Throws:
  `SQLException`

#### toTIMESTAMP

    public static TIMESTAMP toTIMESTAMP(Connection conn,
                                        byte[] timestampltz)
                                 throws SQLException

Convert a byte array representing a TIMESTAMPLTZ object to a Oracle TIMESTAMP Object

Parameters:
  `conn` - JDBC connection timestamp Oracle TIMESTAMPLTZ object
Returns:
  the oracle TIMESTAMP object represented by Oracle TIMESTAMPLTZ object
Throws:
  `SQLException`

#### toTIMESTAMPTZ

    public static TIMESTAMPTZ toTIMESTAMPTZ(Connection conn,
                                            byte[] timestampltz)
                                     throws SQLException

Convert a byte array representing a TIMESTAMPLTZ object to a Oracle TIMESTAMPTZ Object

Parameters:
  `conn` - JDBC connection timestamp Oracle TIMESTAMPLTZ object
Returns:
  the oracle TIMESTAMPTZ object represented by Oracle TIMESTAMPLTZ object
Throws:
  `SQLException`

#### toString

    public static String toString(Connection conn,
                                  byte[] timestampltz)
                           throws SQLException

Converts a TIMESTAMPLTZ to a string

Parameters:
  `date` - a byte array
Returns:
  String representing the date
Throws:
  `SQLException`

#### toBytes

    public static byte[] toBytes(Connection conn,
                                 Calendar cal,
                                 Time time)
                          throws SQLException

Convert Java Time to Oracle TIMESTAMPLTZ.

Parameters:
  `conn` - JDBC connection cal Session timezone time java.sql.Time object to be converted.
Returns:
  the byte array representing the java Time.
Throws:
  `SQLException`

#### toBytes

    public static byte[] toBytes(Connection conn,
                                 Calendar cal,
                                 Date date)
                          throws SQLException

Convert Java Date to Oracle TIMESTAMPLTZ.

Parameters:
  `conn` - JDBC connection cal Session timezone date java.sql.Date object to be converted.
Returns:
  the byte array representing the java Date.
Throws:
  `SQLException`

#### toBytes

    public static byte[] toBytes(Connection conn,
                                 Calendar cal,
                                 Timestamp timestamp)
                          throws SQLException

Convert Java Timestamp to Oracle TIMESTAMPLTZ

Parameters:
  `conn` - JDBC connection cal Session timezone Timestamp java.sql.Timestamp object to be converted.
Returns:
  the byte array representing the input date.
Throws:
  `SQLException`

#### toBytes

    public static byte[] toBytes(Connection conn,
                                 Calendar cal,
                                 DATE date)
                          throws SQLException

Convert Oracle DATE to Oracle TIMESTAMPLTZ

Parameters:
  `conn` - JDBC connection cal Session timezone date oracle.sql.DATE object to be converted.
Returns:
  the byte array representing the Oracle DATE.
Throws:
  `SQLException`

#### toBytes

    public static byte[] toBytes(Connection conn,
                                 Calendar sess,
                                 String str)
                          throws SQLException

Convert Java String to Oracle TIMESTAMPLTZ.

Parameters:
  `conn` - JDBC Connection sess Calendar object containing Session Timezone str java.lang.String object to be converted.
Returns:
  the byte array representing the input string.
Throws:
  `SQLException`

#### toBytes

    public static byte[] toBytes(Connection conn,
                                 java.time.OffsetTime ot)
                          throws SQLException

Convert Java OffsetTime to Oracle TIMESTAMPLTZ.

Parameters:
  `conn` - JDBC Connection odt OffsetTime object
Returns:
  the byte array representing the input string.
Throws:
  `SQLException`

#### toBytes

    public static byte[] toBytes(Connection conn,
                                 java.time.ZonedDateTime zdt)
                          throws SQLException

Convert Java ZonedDateTime to Oracle TIMESTAMPLTZ.

Parameters:
  `conn` - JDBC Connection zdt ZonedDateTime object
Returns:
  the byte array representing the input string.
Throws:
  `SQLException`

#### toBytes

    public static byte[] toBytes(Connection conn,
                                 java.time.OffsetDateTime odt)
                          throws SQLException

Convert Java OffsetDateTime to Oracle TIMESTAMPLTZ.

Parameters:
  `conn` - JDBC Connection odt OffsetDateTime object
Returns:
  the byte array representing the input string.
Throws:
  `SQLException`

#### toBytes

    public static byte[] toBytes(Connection conn,
                                 java.time.LocalDateTime ldt)
                          throws SQLException

Convert Java LocalDateTime to Oracle TIMESTAMPLTZ.

Parameters:
  `conn` - JDBC Connection ldt LocalDateTime object
Returns:
  the byte array representing the input string.
Throws:
  `SQLException`

#### stringValue

    public String stringValue(Connection conn)
                       throws SQLException

Calls toString(Connection, byte[]) to convert internal Oracle TIMESTAMPLTZ to a Java String.

Overrides:
  `stringValue` in class `Datum`
Parameters:
  `conn` - oracle.JDBC.OracleConnection object
Returns:
  a Java String value
Throws:
  `SQLException`

#### stringValue

    public String stringValue(Connection conn,
                              Calendar cal)
                       throws SQLException

Calls toString(Connection, byte[], Calendar) to convert internal Oracle TIMESTAMPLTZ to a Java String.

Parameters:
  `conn` - oracle.JDBC.OracleConnection object cal java.util.Calendar object
Returns:
  a Java String value
Throws:
  `SQLException`

#### dateValue

    public Date dateValue(Connection conn,
                          Calendar cal)
                   throws SQLException

Calls toDate(Connection, byte[], Calendar) to convert internal Oracle TIMESTAMPLTZ to a Java Date.

Parameters:
  `conn` - JDBC Connection object cal java.util.Calendar object
Returns:
  a Java Date
Throws:
  `SQLException`

#### dateValue

    public Date dateValue(Connection conn)
                   throws SQLException

Calls toDate(Connection, byte[]) to convert internal Oracle TIMESTAMPLTZ to a Java Date.

Parameters:
  `conn` - JDBC Connection object
Returns:
  a Java Date
Throws:
  `SQLException`

#### localDateTimeValue

    public java.time.LocalDateTime localDateTimeValue(Connection conn)
                                               throws SQLException

Calls toLocalDateTime(Connection, byte[]) to convert internal Oracle TIMESTAMPLTZ to a Java LocalDateTime.

Parameters:
  `conn` - JDBC Connection object
Returns:
  a Java LocalDateTime
Throws:
  `SQLException`

#### offsetDateTimeValue

    public java.time.OffsetDateTime offsetDateTimeValue(Connection conn)
                                                 throws SQLException

Calls toOffsetDateTime(Connection, byte[]) to convert internal Oracle TIMESTAMPLTZ to a Java OffsetDateTime.

Parameters:
  `conn` - JDBC Connection object
Returns:
  a Java OffsetDateTime
Throws:
  `SQLException`

#### offsetTimeValue

    public java.time.OffsetTime offsetTimeValue(Connection conn)
                                         throws SQLException

Calls toOffsetTime(Connection, byte[]) to convert internal Oracle TIMESTAMPLTZ to a Java OffsetTime.

Parameters:
  `conn` - JDBC Connection object
Returns:
  a Java OffsetTime
Throws:
  `SQLException`

#### zonedDateTimeValue

    public java.time.ZonedDateTime zonedDateTimeValue(Connection conn)
                                               throws SQLException

Calls toZonedDateTime(Connection, byte[]) to convert internal Oracle TIMESTAMPLTZ to a Java ZonedDateTime.

Parameters:
  `conn` - JDBC Connection object
Returns:
  a Java ZonedDateTime
Throws:
  `SQLException`

#### timeValue

    public Time timeValue(Connection conn)
                   throws SQLException

Calls toTime to convert internal Oracle TIMESTAMPLTZ to a Java Time.

Returns:
  a Java Time value
Throws:
  `SQLException`

#### timeValue

    public Time timeValue(Connection conn,
                          Calendar cal)
                   throws SQLException

Calls toTime to convert internal Oracle TIMESTAMPLTZ to a Java Time.

Returns:
  a Java Time value
Throws:
  `SQLException`

#### toJdbc

    public Object toJdbc()
                  throws SQLException

Returns the JDBC representation of the datum object

Specified by:
  `toJdbc` in class `Datum`
Returns:
  an object containing the JDBC value
Throws:
  `SQLException` - if conversion to JDBC representation results in an error

#### makeJdbcArray

    public Object makeJdbcArray(int arraySize)

Returns a JDBC array representation of the datum

Specified by:
  `makeJdbcArray` in class `Datum`
Parameters:
  `arraySize` - size of the array
Returns:
  an object containing the JDBC array value

#### isConvertibleTo

    public boolean isConvertibleTo(Class<?> cls)

Determines if the object can be converted to a particular class

Specified by:
  `isConvertibleTo` in class `Datum`
Parameters:
  `cls` - Class to convert to
Returns:
  true, if conversion to cls is permitted false, if conversion to cls is not permitted

#### TimeZoneAdjust

    public static void TimeZoneAdjust(Connection conn,
                                      Calendar cal1,
                                      Calendar cal2)
                               throws SQLException

Throws:
  `SQLException`

#### TimeZoneAdjustUTC

    public static long TimeZoneAdjustUTC(Connection conn,
                                         Calendar cal1)
                                  throws SQLException

Throws:
  `SQLException`

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.